Library Version 18.1.40

DB_SEQUENCE->get_range()
Prev | Chapter 11. The DB_SEQUENCE Handle | Next

## DB_SEQUENCE->get_range()

    #include <db.h>

    int
    DB_SEQUENCE->get_range(DB_SEQUENCE *seq, db_seq_t *minp, db_seq_t *maxp);

The `DB_SEQUENCE->get_range()` method returns the range of values in the sequence.

The `DB_SEQUENCE->get_range()` method may be called at any time during the life of the application.

The `DB_SEQUENCE->get_range()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### minp

The `DB_SEQUENCE->get_range()` method returns the minimum value in minp.

#### maxp

The `DB_SEQUENCE->get_range()` method returns the maximum value in maxp.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods

Prev | Up | Next
DB_SEQUENCE->get_key() | Home | DB_SEQUENCE->initial_value()